Skip to main content
`Ctrl`+`K`

# EPSEVSLSetSlices

Set the number of slices in which the interval must be subdivided.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSEVSLSetSlices(EPS eps,PetscInt nslices)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- nslices - the number of slices

## Options Database Key

- -eps_evsl_slices <nslices> - set the number of slices

## Notes

By default, one slice per MPI process is used. Depending on the number of eigenvalues, using more slices may be beneficial, but very narrow subintervals imply higher polynomial degree.

See the documentation of EVSL [Li et al., 2019] for details.

## References

[Li19]

R. Li, Y. Xi, L. Erlandson, and Y. Saad. The eigenvalues slicing library (EVSL): algorithms, implementation, and software. SIAM J. Sci. Comput., 41(4):C393–C415, 2019. doi:10.1137/18M1170935.

## See Also

EPS: Eigenvalue Problem Solver, `EPSEVSL`, `EPSEVSLGetSlices()`

## Level

advanced

## Location

src/eps/impls/external/evsl/evsl.c

## Implementations

EPSEVSLSetSlices_EVSL() in src/eps/impls/external/evsl/evsl.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages